import { IsString, IsNotEmpty, ValidateIf } from 'class-validator'

export class GetDialogueHistoryDto {
  @IsString()
  @IsNotEmpty({ message: 'staffId不能为空' })
  staffId: string

  @IsString()
  @ValidateIf((o) => !o.unionId)
  @IsNotEmpty({ message: 'userName不能为空' })
  userName: string

  @IsString()
  @ValidateIf((o) => !o.userName)
  @IsNotEmpty({ message: 'unionId不能为空' })
  unionId: string

  @IsString()
  @IsNotEmpty({ message: 'recentMinutes不能为空' })
  recentMinutes: string
}

export class RunPromptDto {
  @IsString()
  @IsNotEmpty({ message: 'scene不能为空' })
  scene: string

  @IsString()
  @IsNotEmpty({ message: 'prompt不能为空' })
  prompt: string

  @IsString()
  @IsNotEmpty({ message: 'staff_profile不能为空' })
  staff_profile: string

  @IsString()
  @IsNotEmpty({ message: 'user_profile不能为空' })
  user_profile: string

  @IsString()
  @IsNotEmpty({ message: 'dialogue_history不能为空' })
  dialogue_history: string

  @IsString()
  @IsNotEmpty({ message: 'model_name不能为空' })
  model_name: string

  @IsString()
  @IsNotEmpty({ message: 'current_timestamp不能为空' })
  current_timestamp: string
}

export class GetBasePromptDto {
  @IsString()
  @IsNotEmpty({ message: 'scene不能为空' })
  scene: string
}
